Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.feature
Interface DataFeatureCollection

All Superinterfaces:
  Attribute, ComplexAttribute, Feature, FeatureCollection, Property

Deprecated. Removed pending a redesign of feature storage interfaces

    @Deprecated
    public interface DataFeatureCollection

extends FeatureCollection

FeatureCollection backed by a data source such as a file for database.

This interface captures all the state associated with interacting with a data source providing features. This state is primarly captured with two constructs: the current `Transaction` and the current `LockRequest`. These ideas work in tandom to dicate the context used for opperatations against this FeatureCollection, or any Colleciton obtained via subCollection.

This interface also allows for events based on feature modificaiton.

Since:
  GeoAPI 2.1
See Also:
  `Collection`

Method Summary
`void` | `addFeatureListener(FeatureListener fl)` Deprecated. Adds a listener whose methods will be called whenever a new feature is added or removed from this collection.
`void` | `close()` Deprecated. If some sort of connection was opened to a backing store to support this collection, then closes this connection.
`void` | `removeFeatureListener(FeatureListener fl)` Deprecated. Removes a listener that was previously added with `addFeatureListener(org.opengis.feature.FeatureListener)`.

Methods inherited from interface FeatureCollection
`accepts, close, getType, iterator, memberTypes, sort, subCollection`

Methods inherited from interface Feature
`getBounds, getCRS, getDefaultGeometry, getID, getUserData, putUserData, setCRS, setDefaultGeometry`

Methods inherited from interface ComplexAttribute
`associations, attributes, get, getDescriptor, getValue, setValue`

Methods inherited from interface Attribute
`nillable, operation, setValue`

Methods inherited from interface Property
`descriptor, name`

Method Detail

### close

    void close()

  Deprecated.
  If some sort of connection was opened to a backing store to support this collection, then closes this connection. Users of this API should always call this method before releasing the references to this object so that resources get cleaned up in a timely fashion. Those who implement this interface are also encouraged to implement the `finalize()` method just in case the user forgets to call close so that perhaps things might get cleaned up.

  After invoking this method, all references to the feature listener objects will be cleared and no further events will be fired.

### addFeatureListener

    void addFeatureListener(FeatureListener fl)

  Deprecated.
  Adds a listener whose methods will be called whenever a new feature is added or removed from this collection. Since `FeatureCollection` objects may be the result of a query, the methods of the `FeatureListener` may be invoked when a feature's attributes have been updated in such a way that its values now pass the filter (or no longer pass the filter).

### removeFeatureListener

    void removeFeatureListener(FeatureListener fl)

  Deprecated.
  Removes a listener that was previously added with `addFeatureListener(org.opengis.feature.FeatureListener)`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.